unit dilna_f;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  Kompetence = array [0..20,0..20] of TCheckBoxState;
  TfrmHlavni = class(TForm)
    lblNadpis: TLabel;
    pnlPrac: TPanel;
    rgPrac: TRadioGroup;
    gbStroje: TGroupBox;
    chkSoustruh: TCheckBox;
    chkHorizontka: TCheckBox;
    chkVrtacka: TCheckBox;
    chkHoblovka: TCheckBox;
    chkBruska: TCheckBox;
    chkLaser1: TCheckBox;
    chkLaser2: TCheckBox;
    chkTrumatic: TCheckBox;
    chkMNuzky: TCheckBox;
    chkVNuzky: TCheckBox;
    btnPotvrdit: TButton;
    btnVratit: TButton;
    btnUlozit: TButton;
    btnKonec: TButton;
    procedure btnKonecClick(Sender: TObject);
    procedure rgPracClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure btnPotvrditClick(Sender: TObject);
  private
    CanWork  : Kompetence;
    maxprac  : Integer;
    maxstroj : Integer;
  public
    { Public declarations }
  end;

var
  frmHlavni: TfrmHlavni;

implementation

{$R *.dfm}

procedure TfrmHlavni.btnKonecClick(Sender: TObject);
begin
 Close;
end;

procedure TfrmHlavni.btnPotvrditClick(Sender: TObject);
var
  i,j : Integer;
begin
 i := rgPrac.ItemIndex;

   for j := 0 to maxstroj - 1 do
      CanWork [i,j] := (gbStroje.Controls[j] as TCheckBox).State;
end;

procedure TfrmHlavni.FormActivate(Sender: TObject);
var
 i,j : Integer;
begin
 maxprac := rgPrac.ControlCount;
 maxstroj := gbStroje.ControlCount;

   for i := 0 to maxprac - 1 do
    for j := 0 to maxstroj - 1 do
      CanWork [i,j] := cbUnChecked;
end;

procedure TfrmHlavni.rgPracClick(Sender: TObject);
var
  i,j   : Integer;   // index oznaceneho pracovnika
begin
 gbStroje.Enabled := true;

 i := rgPrac.ItemIndex;

   for j := 0 to maxstroj - 1 do
     (gbStroje.Controls[j] as TCheckBox).State := CanWork [i,j];

end;

end.
